#ifndef _BASETYPES_H
#define _BASETYPES_H
/*
 * FogLAMP OSIsoft OMF interface to PI Server.
 *
 * Copyright (c) 2022 Dianomic Systems
 *
 * Released under the Apache 2.0 Licence
 *
 * Author: Mark Riddoch
 */
#include <plugin_api.h>

static const char *baseOMFTypes = QUOTE(
    [
	   {
	      "id":"Double64",
	      "type":"object",
	      "classification":"dynamic",
	      "properties":{
		 "Double64":{
		    "type":["number", "null"],
		    "format":"float64"
		 },
		 "Time":{
		    "type":"string",
		    "format":"date-time",
		    "isindex":true
		 }
	      }
	   },
	   {
	      "id":"Double32",
	      "type":"object",
	      "classification":"dynamic",
	      "properties":{
		 "Double32":{
		    "type":["number", "null"],
		    "format":"float32"
		 },
		 "Time":{
		    "type":"string",
		    "format":"date-time",
		    "isindex":true
		 }
	      }
	   },
	   {
	      "id":"Integer16",
	      "type":"object",
	      "classification":"dynamic",
	      "properties":{
		 "Integer16":{
		    "type":["integer","null"],
		    "format":"int16"
		 },
		 "Time":{
		    "type":"string",
		    "format":"date-time",
		    "isindex":true
		 }
	      }
	   },
	   {
	      "id":"Integer32",
	      "type":"object",
	      "classification":"dynamic",
	      "properties":{
		 "Integer32":{
		    "type":["integer","null"],
		    "format":"int32"
		 },
		 "Time":{
		    "type":"string",
		    "format":"date-time",
		    "isindex":true
		 }
	      }
	   },
	   {
	      "id":"Integer64",
	      "type":"object",
	      "classification":"dynamic",
	      "properties":{
		 "Integer64":{
		    "type":["integer","null"],
		    "format":"int64"
		 },
		 "Time":{
		    "type":"string",
		    "format":"date-time",
		    "isindex":true
		 }
	      }
	   },
	   {
	      "id":"UInteger16",
	      "type":"object",
	      "classification":"dynamic",
	      "properties":{
		 "UInteger16":{
		    "type":["integer","null"],
		    "format":"uint16"
		 },
		 "Time":{
		    "type":"string",
		    "format":"date-time",
		    "isindex":true
		 }
	      }
	   },
	   {
	      "id":"UInteger32",
	      "type":"object",
	      "classification":"dynamic",
	      "properties":{
		 "UInteger32":{
		    "type":["integer","null"],
		    "format":"uint32"
		 },
		 "Time":{
		    "type":"string",
		    "format":"date-time",
		    "isindex":true
		 }
	      }
	   },
	   {
	      "id":"UInteger64",
	      "type":"object",
	      "classification":"dynamic",
	      "properties":{
		 "UInteger64":{
		    "type":["integer","null"],
		    "format":"uint64"
		 },
		 "Time":{
		    "type":"string",
		    "format":"date-time",
		    "isindex":true
		 }
	      }
	   },
	   {
	      "id":"String",
	      "type":"object",
	      "classification":"dynamic",
	      "properties":{
		 "String":{
		    "type":["string","null"]
		 },
		 "Time":{
		    "type":"string",
		    "format":"date-time",
		    "isindex":true
		 }
	      }
	   }
    ]);

#endif
